%读取灰度图
I = imread('im2file.png');

%%用radon函数获取投影值
%设置投影角度跨度、步进
theta = 0:1:179;
%获取各个角度投影，放入R
[R,xp] = radon(I,theta);
%得到正弦图数据
r_show = flipud(R);
dlmwrite('datasino_ct.txt',r_show);

%%用iradon函数进行反投影重建图像
J = iradon(R,theta);
figure;
subplot(3,1,1),imshow(uint8(I)),title('输入图像')
subplot(3,1,2),imshow(r_show,[],'YData',xp([1 end]),'XData',[0,180]),title('投影正弦图')
axis xy;
axis on;
ylabel('\rho');
xlabel('\theta');
subplot(3,1,3),imshow(mat2gray(J)),title('重建图像')
